=== debian/changelog ===
pd-smlib (0.12.1-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Makefile-fixes for non-linux (Closes: #609435)
  * Added Vcs stanzas

  [ Hans-Christoph Steiner ]
  * updated Build-Depends to use puredata-dev (Closes: #629801)
  * bumped standards version to 3.9.2

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 10 Jun 2011 14:46:00 -0400

pd-smlib (0.12.1-1) unstable; urgency=low

  * Initial release (Closes: #591713)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Nov 2010 15:17:58 -0500
