=== debian/control ===
Source: pd-smlib
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 7.0.50~),
               puredata-dev | puredata (<< 0.43)
Standards-Version: 3.9.2
Homepage: http://puredata.info
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-smlib.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-smlib.git

Package: pd-smlib
Architecture: any
Depends: ${shlibs:Depends},
         pd,
         ${misc:Depends},
         pd-libdir
Description: Pd library for mapping DSP data to controls
 Signal processing for Mapping - a LIBrary with vector and number stream
 processing objects for Pd, enhancing this language with objects for rapid
 prototyping of gesture analysis.  It complements Pd with a set of objects for
 vector processing, vector analysis, vector synthesis, number stream analysis,
 number stream filters.
