=== debian/changelog ===
pd-smlib (0.12.2-2) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * Updated to copyright-format/1.0
  * Removed 'DM-Upload-Allowed: yes', its deprecated

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Simplified & unified d/rules
    * Enabled hardening
    * Bumped dh compat to 11
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
    * Added myself to Uploaders
  * Updated d/copyright(_hints)
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:39:32 +0100

pd-smlib (0.12.2-1) unstable; urgency=low

  * updated to upstream version v0.12.2
  * removed patches since they are in new upstream release
  * bumped standards version to 3.9.3

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Sep 2012 12:20:08 -0400
