=== debian/control ===
Source: pd-smlib
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Hans-Christoph Steiner <hans@eds.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev | puredata (<< 0.43),
Standards-Version: 4.1.3
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-smlib.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-smlib

Package: pd-smlib
Architecture: any
Depends:
 ${shlibs:Depends},
 puredata-core | pd,
 ${misc:Depends},
 pd-libdir,
Description: Pd library for mapping DSP data to controls
 Signal processing for Mapping - a LIBrary with vector and number stream
 processing objects for Pd, enhancing this language with objects for rapid
 prototyping of gesture analysis.  It complements Pd with a set of objects for
 vector processing, vector analysis, vector synthesis, number stream analysis,
 number stream filters.
