=== debian/changelog ===
pd-smlib (0.13.0-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:02:31 +0200

pd-smlib (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
    + Switch buildsystem to pd-lib-builder
    + Manually install examples
  * Build for both single and double-precision Pd
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Watch new upstream repository
  * Add lintian-overrides for false positives about underlinking
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:36:46 +0200

pd-smlib (0.12.2-4) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 11:14:19 +0100

pd-smlib (0.12.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Make sure that CPPFLAGS are applied
  * Removed Hans-Christoph Steiner from Uploaders as he requested
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 16:50:21 +0200
