=== debian/control ===
Source: pd-smlib
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pd-lib-builder,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-smlib.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-smlib

Package: pd-smlib
Architecture: any
Depends:
 pd-libdir,
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Description: Pd library for mapping DSP data to controls
 Signal processing for Mapping - a LIBrary with vector and number stream
 processing objects for Pd, enhancing this language with objects for rapid
 prototyping of gesture analysis.  It complements Pd with a set of objects for
 vector processing, vector analysis, vector synthesis, number stream analysis,
 number stream filters.
