=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=\
uversionmangle=s/-/./;s/test/~test/,\
"filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%",\
dversionmangle=auto \
  https://github.com/electrickery/pd-smlib/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
